PUT /api/v2/fact-find-public/submissions/{factFindSession_uuid}

Path parameters

  • factFindSession_uuid string Required

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • fact_find_answers object

      All fact-find questions under the submission, including previous values and block-level answers

      Hide fact_find_answers attributes Show fact_find_answers attributes object
      • fact_find_question object
        Hide fact_find_question attributes Show fact_find_question attributes object
        • uuid object
          Hide uuid attributes Show uuid attributes object
          • example string
          • description string
          • collection boolean
        • created_at object
          Hide created_at attributes Show created_at attributes object
          • example string
          • description string
          • collection boolean
        • updated_at object
          Hide updated_at attributes Show updated_at attributes object
          • example string
          • description string
          • collection boolean
        • field_name object
          Hide field_name attributes Show field_name attributes object
          • example string
          • description string
          • collection boolean
        • position object
          Hide position attributes Show position attributes object
          • example string
          • description string
          • collection boolean
        • is_required object
          Hide is_required attributes Show is_required attributes object
          • example string
          • description string
          • collection boolean
        • is_visible object
          Hide is_visible attributes Show is_visible attributes object
          • example string
          • description string
          • collection boolean
        • has_conditional object
          Hide has_conditional attributes Show has_conditional attributes object
          • example string
          • description string
          • collection boolean
        • condition_type object
          Hide condition_type attributes Show condition_type attributes object
          • example string
          • description string
          • collection boolean
      • answer string
      • previous_value string
      • block string
PUT /api/v2/fact-find-public/submissions/{factFindSession_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v2/fact-find-public/submissions/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (201)
{
  "uuid": "6c444374-1743-4160-b668-28a3a0615274",
  "created_at": "2026-03-24T12:19:10+00:00",
  "updated_at": "2026-03-24T12:19:10+00:00",
  "fact_find_answers": {
    "block": "The Block enum the question belongs to",
    "answer": "Stored Answer (if any)",
    "previous_value": "Extracted previous value from account or block even if no question exists",
    "fact_find_question": {
      "uuid": {
        "example": "e5bdf84f-4819-44b9-8bc3-9095f6288b2b",
        "collection": false,
        "description": "The UUID of the resource."
      },
      "position": {
        "example": "Position",
        "collection": false,
        "description": "The position/order of this question within the block."
      },
      "created_at": {
        "example": "2026-03-24T12:19:10+00:00",
        "collection": false,
        "description": "The timestamp of when the resource was created."
      },
      "field_name": {
        "example": "Field Name",
        "collection": false,
        "description": "The name of the field."
      },
      "is_visible": {
        "example": "Is Visible",
        "collection": false,
        "description": "Bool to indicate if the question is visible."
      },
      "updated_at": {
        "example": "2026-03-24T12:19:10+00:00",
        "collection": false,
        "description": "The timestamp of when the resource was updated."
      },
      "is_required": {
        "example": "Is Required",
        "collection": false,
        "description": "Bool to indicate if the question is required."
      },
      "condition_type": {
        "example": "Condition Type",
        "collection": false,
        "description": "ALL/ANY."
      },
      "has_conditional": {
        "example": "Has Condition",
        "collection": false,
        "description": "Bool to indicate if the question has any conditions."
      }
    }
  }
}